Subject: Re: Error when verifying tags signed using 1.7.3.1

From: Daniel Johnson <[email-masked]>
Date: Mon, 4 Oct 2010 18:51:24 -0400

On Monday 04 October 2010 18:13:21 Stephan Hugel wrote:
> Hello, git list.
> I seem to be unable to verify tags I create and sign using the git -s
> command in 1.7.3.1
> Existing tags (i.e. created with 1.7.2.x, using the same key and GnuPG
> version) can be verified, but attempts to verify created tags result
> in the following:
> 
> object 791abd4848d86ea98071f35bbce4d4b274ef0788
> type commit
> tag v1.4
> tagger name <[email-masked]> 1286228562 +0100
> 
> Better header detection and regex
> -----BEGIN PGP MESSAGE-----
> Version: GnuPG v1.4.9 (Darwin)
> 
> iD8DBQBMqkph8Y2TgZsQ1pARAgxrAJ40ATxZw219CWI6FCaDAtbY8UHdoACePF6Q
> PyNkf67w7AA8hkQqLAYGcyI=
> =VLWl
> -----END PGP MESSAGE-----
> gpg: Signature made Mon  4 Oct 22:42:57 2010 IST using DSA key ID 9B10D690
> gpg: BAD signature from "name <[email-masked]>"
> error: could not verify the tag 'v1.4'
> 
> 
> I have confirmed that my key is valid (have
> signed/encrypted/decrypted/verified using it after this error
> occurred). I have also tried to create a tag using a newly-created
> key, with the same result. I have attempted to created signed tags in
> multiple repos. Is this a known bug?

I can't reproduce this:

$ git --version
git version 1.7.3.1
$ git tag -s test_tag -m "test_message"
$ git tag -v test_tag
object dbc2fa2a8507f258a353238cde2d9ba5894a8296
type commit
tag test_tag
tagger Daniel Johnson <[email-masked]> 1286231912 -0400

test_message
gpg: Signature made Mon 04 Oct 2010 06:38:38 PM EDT using DSA key ID 4A094EDC
gpg: Good signature from "Daniel Johnson <[email-masked]>"

Is this not what you are doing? do you have any more info about what you are 
doing to cause this failure?